crashes when trying to set up an account

Bug #1806181 reported by Damien on 2018-12-01

This bug report was converted into a question: question #676506: Google asks me to allow less secure apps.

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity Mail
Undecided
Unassigned

Bug Description

when opening the settings window to set up an account, I enter my gmail account and password. The "connect" button becomes clickable, but the "apply button is forever grey, I'm not sure if this is relevant. Clicking on "connect", then after a while a crash report window pops up. The unity-mail settings window itself stays alive though.

I don't know where to find a text version of the crash report, but I think it got sent to you automatically?

I'm using Ubuntu MATE 18.04 from an old x86 computer.

When started from the terminal:

(unity-mail:21512): libunity-WARNING **: 12:14:46.423: unity-launcher.vala:407: Schema "com.canonical.Unity.Launcher" is not installed!
Gtk-Message: 12:14:47.360: GtkDialog mapped without a transient parent. This is discouraged.
  15:13.13 imap.gmail.com reader last 20 log messages:
  15:13.26 imap.gmail.com reader last 20 log messages:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/unitymail/dialog.py", line 177, in getFolderList
    oImap = imaplib.IMAP4_SSL(self.EntryHost.get_text(), int(self.EntryPort.get_text()))
  File "/usr/lib/python3/dist-packages/unitymail/imaplib2.py", line 2093, in __init__
    IMAP4.__init__(self, host, port, debug, debug_file, identifier, timeout, debug_buf_lvl)
  File "/usr/lib/python3/dist-packages/unitymail/imaplib2.py", line 375, in __init__
    self.welcome = self._request_push(name='welcome', tag='continuation').get_response('IMAP4 protocol error: %s')[1]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/unitymail/dialog.py", line 166, in onResponse
    self.getFolderList(True)
  File "/usr/lib/python3/dist-packages/unitymail/dialog.py", line 181, in getFolderList
    oImap = imaplib.IMAP4(self.EntryHost.get_text(), int(self.EntryPort.get_text()))
  File "/usr/lib/python3/dist-packages/unitymail/imaplib2.py", line 375, in __init__
    self.welcome = self._request_push(name='welcome', tag='continuation').get_response('IMAP4 protocol error: %s')[1]
TypeError: 'NoneType' object is not subscriptable
2018-12-01 12:15:52,821: Unity Mail: INFO: Checking network...
2018-12-01 12:15:53,028: Unity Mail: INFO: Network connection active, connecting...

Damien (youpla-b) wrote :

I tried again after a power cycle, and then I got a pop up with google asking me to go to https://www.google.com/settings/security/lesssecureapps . How less secure is this app and what do I expose it to when turning this option on?

Changed in unity-mail:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions